%define upstream_name    Image-ExifTool
%define upstream_version 12.00

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define     subrel 1
Release:    %mkrel 1
Epoch:      1

Summary:    Read and write meta information
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

#
# Security patches
# P100 -> ...
#
Patch100:       CVE-2021-22204.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Obsoletes:  Image-ExifTool
Provides:   Image-ExifTool

%description
ExifTool provides an extensible set of perl modules to read and write meta
information in image, audio and video files, including the maker note
information of many digital cameras by various manufacturers such as Canon,
Casio, FujiFilm, JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta, Nikon,
Olympus/Epson, Panasonic/Leica, Pentax/Asahi, Ricoh, Sanyo and Sigma/Foveon.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags} -DENGLISH"

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Image
%{perl_vendorlib}/File


%changelog
* Sat Jun 12 2021 neoclust <neoclust> 1:12.0.0-1.1.mga8
+ Revision: 1730540
- Add P100: Fixes CVE-2021-22204 (mga#28927)

* Fri Jun 12 2020 tv <tv> 1:12.0.0-1.mga8
+ Revision: 1592936
- update to 12.00

* Thu Feb 20 2020 umeabot <umeabot> 1:11.850.0-2.mga8
+ Revision: 1545608
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 1:11.850.0-1.mga8
+ Revision: 1484907
- update to 11.85

* Fri Oct 11 2019 tv <tv> 1:11.700.0-1.mga8
+ Revision: 1451507
- update to 11.70

* Sat Jun 29 2019 shlomif <shlomif> 1:11.500.0-1.mga8
+ Revision: 1415588
- update to 11.50

* Wed Mar 06 2019 tv <tv> 1:11.300.0-1.mga7
+ Revision: 1371958
- update to 11.30

* Wed Oct 03 2018 tv <tv> 1:11.110.0-1.mga7
+ Revision: 1316087
- update to 11.11

* Thu Sep 20 2018 umeabot <umeabot> 1:11.10.0-2.mga7
+ Revision: 1284329
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 tv <tv> 1:11.10.0-1.mga7
+ Revision: 1236357
- update to 11.01

* Fri Jun 08 2018 tv <tv> 1:11.0.0-1.mga7
+ Revision: 1235326
- update to 11.00

* Sat Mar 03 2018 tv <tv> 1:10.800.0-1.mga7
+ Revision: 1206277
- update to 10.80

* Mon Oct 02 2017 tv <tv> 1:10.550.0-2.mga7
+ Revision: 1164841
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1:10.550.0-1.mga7
+ Revision: 1155615
- update to 10.55

* Fri Mar 03 2017 eatdirt <eatdirt> 1:10.450.0-1.mga6
+ Revision: 1088574
- Upgrade to version 10.45

* Sun Jun 19 2016 pterjan <pterjan> 1:10.150.0-2.mga6
+ Revision: 1028459
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1:10.150.0-1.mga6
+ Revision: 1007885
- update to 10.15

* Wed Feb 10 2016 shlomif <shlomif> 1:10.100.0-1.mga6
+ Revision: 953363
- update to 10.10

* Sun Aug 23 2015 sander85 <sander85> 1:10.0.0-1.mga6
+ Revision: 868460
- update to 10.00

* Tue Jun 30 2015 sander85 <sander85> 1:9.900.0-1.mga6
+ Revision: 848831
- update to 9.90

* Wed Oct 15 2014 umeabot <umeabot> 1:9.700.0-3.mga5
+ Revision: 740103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:9.700.0-2.mga5
+ Revision: 685119
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 1:9.700.0-1.mga5
+ Revision: 671896
- update to 9.70

* Tue May 20 2014 jquelin <jquelin> 1:9.600.0-1.mga5
+ Revision: 624372
- update to 9.60

* Mon Feb 24 2014 jquelin <jquelin> 1:9.530.0-1.mga5
+ Revision: 596331
- update to 9.53

* Sun Feb 09 2014 sander85 <sander85> 1:9.460.0-1.mga5
+ Revision: 587491
- update to 9.46

* Sat Oct 19 2013 umeabot <umeabot> 1:9.270.0-2.mga4
+ Revision: 527087
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1:9.270.0-1.mga4
+ Revision: 439484
- update to 9.27

* Sun Jan 13 2013 umeabot <umeabot> 1:9.120.0-2.mga3
+ Revision: 368730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:9.120.0-1.mga3
+ Revision: 342228
- update to 9.12

* Tue Nov 06 2012 jquelin <jquelin> 1:9.40.0-1.mga3
+ Revision: 315123
- update to 9.04

* Fri Aug 31 2012 kharec <kharec> 1:9.10.0-1.mga3
+ Revision: 286266
- update to 9.01

* Tue Jun 05 2012 jquelin <jquelin> 1:8.900.0-1.mga3
+ Revision: 255076
- update to 8.90

* Thu Feb 23 2012 jquelin <jquelin> 1:8.770.0-1.mga2
+ Revision: 213007
- update to 8.77

* Mon Jan 09 2012 jquelin <jquelin> 1:8.750.0-1.mga2
+ Revision: 193823
- update to 8.75

* Mon Sep 26 2011 jquelin <jquelin> 1:8.650.0-1.mga2
+ Revision: 148142
- update to 8.65

* Thu Jun 30 2011 jquelin <jquelin> 1:8.600.0-1.mga2
+ Revision: 116445
- update to 8.60

* Wed Mar 02 2011 jquelin <jquelin> 1:8.500.0-1.mga1
+ Revision: 62570
- update to 8.50

* Sat Jan 22 2011 jquelin <jquelin> 1:8.400.0-1.mga1
+ Revision: 32764
- mageia rebuild
- imported package perl-Image-ExifTool


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:8.400.0-1mdv2011.0
+ Revision: 601877
- update to new version 8.40

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1:8.250.0-1mdv2011.0
+ Revision: 553135
- update to 8.25

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1:8.150.0-1mdv2010.1
+ Revision: 526454
- update to 8.15

* Tue Feb 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1:8.100.0-1mdv2010.1
+ Revision: 502642
- update to 8.10

* Sat Nov 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1:8.0.0-1mdv2010.1
+ Revision: 467877
- update to 8.00

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 1:7.890.0-1mdv2010.0
+ Revision: 418418
- update to 7.89

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1:7.820.0-1mdv2010.0
+ Revision: 402541
- rebuild using %%perl_convert_version

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.82-1mdv2010.0
+ Revision: 391949
- update to new version 7.82

* Tue Feb 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.67-1mdv2009.1
+ Revision: 339146
- update to new version 7.67

* Wed Jan 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.60-1mdv2009.1
+ Revision: 326534
- update to new version 7.60

* Tue Oct 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.51-1mdv2009.1
+ Revision: 297813
- update to new version 7.51

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.50-1mdv2009.1
+ Revision: 297543
- update to new version 7.50

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1:7.30-2mdv2009.0
+ Revision: 268531
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.30-1mdv2009.0
+ Revision: 214056
- update to new version 7.30

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.25-1mdv2009.0
+ Revision: 196475
- update to new version 7.25
- update to new version 7.25

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.21-1mdv2009.0
+ Revision: 194858
- update to new version 7.21
- update to new version 7.21

* Wed Feb 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.15-1mdv2008.1
+ Revision: 162978
- update to new version 7.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:7.00-1mdv2008.1
+ Revision: 104499
- update to new version 7.00

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:6.90-1mdv2008.0
+ Revision: 46529
- update to new version 6.90


* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 6.76-1mdv2007.1
+ Revision: 138516
- new version

* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:6.57-1mdv2007.1
+ Revision: 86578
- new version
- Import perl-Image-ExifTool

* Fri Sep 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:6.42-1mdv2007.0
- New version 6.42

* Sat Sep 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:6.36-1mdv2007.0
- New version 6.36
- drop patch0
- trim down description

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:6.29-1mdv2007.0
- New version 6.29

* Fri Jun 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:6.17-1mdv2007.0
- new version
- spec cleanup
- rpmbuidupdate aware
- don't ship empty directories

* Fri May 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:6.12-3mdk
- fixed better gif support (P0)

* Sun Apr 16 2006 Jerome Martin <jmartin@mandriva.org> 1:6.12-2mdk
- Removed perl requirement (Thx Guillaume Rousse)

* Sat Apr 08 2006 Jerome Martin <jmartin@mandriva.org> 1:6.12-1mdk
- New version
- Fixed spec file

* Fri Apr 07 2006 Jerome Martin <jmartin@mandriva.org> 6.00-1mdk
- Initial version

